<div class="col-md-7 offset-md-3 mt-5">
    <div class="card">
        <h4 class="card-header">Informer logowanie</h4>
        <div class="card-body">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                    <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                        <div *ngIf="f.email.errors.required">Email jest wymagany</div>
                        <div *ngIf="f.email.errors.email">Email musi mieć poprawny format</div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="password">Hasło</label>
                    <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                    <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                        <div *ngIf="f.password.errors.required">Hasło jest wymagane</div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="confirmPassword">Powtórz hasło</label>
                    <input type="password" formControlName="confirmPassword" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.confirmPassword.errors }" />
                    <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback">
                        <div *ngIf="f.confirmPassword.errors.required">Potwierdzenie hasła jest wymagane</div>
                        <div *ngIf="f.confirmPassword.errors.mustMatch">Hasła muszą do siebie pasować</div>

                    </div>
                </div>
                <div class="form-group">
                    <label for="firstName">Imię</label>
                    <input type="text" formControlName="firstName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }" />
                    <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
                        <div *ngIf="f.firstName.errors.required">Pole jest wymagane</div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="lastName">Nazwisko</label>
                    <input type="text" formControlName="lastName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }" />
                    <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
                        <div *ngIf="f.lastName.errors.required">Pole jest wymagane</div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="phoneNumber">Numer telefonu</label>
                    <input type="text" formControlName="phoneNumber" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.phoneNumber.errors }" />
                    <div *ngIf="submitted && f.phoneNumber.errors" class="invalid-feedback">
                        <div *ngIf="f.phoneNumber.errors.required">Pole jest wymagane</div>
                        <div *ngIf="f.phoneNumber.errors.pattern">Numer telefonu musi mieć odpowiedni format</div>
                    </div>
                </div>
                <button [disabled]="loading" class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Rejestracja
                </button>
                <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
            </form>
            <div><br/><a routerLink="/login" routerLinkActive="active">Logowanie</a></div>
        </div>
    </div>
</div>
